/*  ooooo ooooooooo.     .oooooo.  ooooooooo.
 *  `888' `888'  `Y88.  d8P'  `Y8b  888'   `Y8.
 *   888   888   .d88' 888          888     888
 *   888   888ooo88P'  888          888     888
 *   888   888`88b.    888          888     888
 *   888   888  `88b.  `88b    ooo  888   .d88'
 *  d888b d888b  d888b  `Y8bood8P' d88888888P'
 *
 * Extra configure file for digi's ircu modifications.
 * Note: digi does not take any credit for this except for the time to add it in
 * ircu. Most #define's and #undef's are taken from ircd.digi+th and CSrXX
 * Yes, i did put the #defines in sections...boredom made me do it! :)
 */
 
/*
 * RESTART_ON_SIGSEGV
 * 
 * If defined, if for some reason (IT'S YOUR FAULT!) the server segfaults,
 * then re-start it... :)
 */
#define RESTART_ON_SIGSEGV

/* STATS_L_OPER_ONLY
 * 
 * Set this and only opers (local or remote) can  receive /STATS L data on your
 * server.  This may help the synflooder problem a tiny bit.
 */
#define STATS_L_OPER_ONLY
 
/* 
 * FORCE_MOTD
 * 
 * Force users to see the MOTD (use NOTICE)
 */
#define FORCE_MOTD  
  
/*
 * MYNETWORK
 * 
 * If you want this, #define it, it adds the network name in RPL_WELCOME.
 * It will be whatever you #define it to.
*/
#define MYNETWORK "StarNet"

/*
 * NICK_CHANGES   
 * 
 * #define this if you want opers to see local client's nick changes.
 * Not useful if DELAY_NICKS is defined.
 */
#undef NICK_CHANGES

/*
 * QUOTE_HTM
 * 
 * HTM control
 * Note: not %100 working..dont really use it unless u get bored a lot and wanna play w/it.
*/
#define QUOTE_HTM
  
/* QUOTE_SET
 * 
 * Maximuum connection control online.
 * Note: the change goes away after a /restart or /die or until someone changes it
 */
#define QUOTE_SET

/*
 * IDENTD_COMPLAIN
 * 
 * yell at users that don't have identd installed
 */
#define IDENTD_COMPLAIN

/*
 * IDENTD_ONLY
 *
 * Only allow users running identd on your server? If so, #define this.
 *
 */
#define IDENTD_ONLY

/*
 * NO_CLIENT_HOSTNAME
 *
 * Do you only want to allow clients with a resolveable hostname on your server? If so #define this
 */
#define NO_CLIENT_HOSTNAME

/*
 * K_NOTICES
 *
 * #define'ing this notices opers whenever K:Lined connections are denied.
 * Note: If your server gets a lot of bots, i would recomend to #undef it.
 */
#define K_NOTICES

/* STATS_NOTICE
 *
 * Send a notice to /opers on the server when someone does /stats requests
 * (Non-useful...just used to see who's spying ;)
 */
#define STATS_NOTICE

/*
 * HIDE_SERVICE_CHANNELS
 *
 * #define this if you wish to not show channels when you /whois a service bot.
 * If you've ever /whois'd W on undernet, you'll know why.
 */
#define HIDE_SERVICE_CHANNELS
/*
 * OPERS_IGNORE_MODES
 *
 * #define this if you wish to have your opers (O) join any channel reguardless of its
 * modes. If a channel is taken over, and you have a UWorld and/or CService, you could
 * join and see whats going on without clearchan'ing first.
 */
#define OPERS_IGNORE_MODES

/* 
 * NO_OPER_FLOOD
 *
 * #define this if you wish to have the server not check the sendq for the opers.
 */
#define NO_OPER_FLOOD

/*
 * WHOIS_NOTICE
 *
 * #define this if you want to be noticed when your /whois'ed :)
 */
#define WHOIS_NOTICE

/*
 * FAILED_NOTICE
 *
 * #define this if you want to notice the opers when a non-oper tries to execute
 * a command which requires oper status.
 */
#define FAILED_NOTICE

/* -- Here are the options for FAILED_NOTICE -- */
#ifdef FAILED_NOTICE
#define FAILED_NOTICE_DIE
#define FAILED_NOTICE_RESTART
#define FAILED_NOTICE_HTM
#define FAILED_NOTICE_SET
#define FAILED_NOTICE_REHASH
#define FAILED_NOTICE_LOCWALL
#define FAILED_NOTICE_KLINE
#define FAILED_NOTICE_STATS_L
#define FAILED_NOTICE_SETTIME
#define FAILED_NOTICE_UPING
#define FAILED_NOTICE_SQUIT
#define FAILED_NOTICE_CONNECT
#define FAILED_NOTICE_KILL
#define FAILED_NOTICE_SWALLOPS
#define FAILED_NOTICE_CLOSE
#define FAILED_NOTICE_WALLOPS
#endif

/*
 * VERBOSE
 * 
 * #define this if u want to show a client what the server's doing..(verbose)
 */
#define VERBOSE
#ifdef VERBOSE
#define REPORT_DO_DNS   "NOTICE AUTH :Looking up your hostname...\n"
#define REPORT_FIN_DNS  "NOTICE AUTH :Found your hostname\n"  
#define REPORT_FIN_DNSC "NOTICE AUTH :Found your hostname, cached\n"
#define REPORT_FAIL_DNS "NOTICE AUTH :Couldn't look up your hostname\n"
#define REPORT_DO_ID    "NOTICE AUTH :Checking Ident\n"
#define REPORT_FIN_ID   "NOTICE AUTH :Got Ident response\n"
#define REPORT_FAIL_ID  "NOTICE AUTH :No Ident response\n"
#endif

#ifndef DOG3_H
#define DOG3_H

#ifndef TRUE
#define TRUE 1
#endif

#define DEFAULT_LOADCFREQ 5
#define DEFAULT_LOADRECV 110
#define FDLISTCHKFREQ  3

#endif
